@echo off

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                          ! DELETE !                                         *
    echo *                                                                             *
    echo *******************************************************************************

del *.hex
cd..

cd..
cd LST_DIR
del *.lst
cd..

cd OBJ_DIR
del *.obj
del *.abs
del *.m51
del *.hex
cd..

cd firmware
del *.htx
del *.sym
del *.hex
cd..

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                          ! COPY !                                           *
    echo *                                                                             *
    echo *******************************************************************************

cd bat_dir
cd EASY4711

copy platform.h ..\..\src_dir\dp_inc
copy ..\..\src_dir\usr_demo\easy4711\dp_cfg.h ..\..\src_dir\dp_inc

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                          ! GENERATING USER SAMPLE !                         *
    echo *                                                                             *
    echo *******************************************************************************

nmake /NOLOGO -f mpi_51.mak %1 %2
if errorlevel 1 goto gen_error
goto final

:gen_error

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *           ! GENERATION ERROR -- FURTHER CODE-GENERATION STOPPED !           *
    echo *                                                                             *
    echo *******************************************************************************

goto end

:final
move mpi_eva.* ..\..\firmware

cd ..\..\obj_dir
copy *.hex ..\bat_dir\easy4711
copy *.hex ..\..\firmware
cd ..\bat_dir\easy4711

    echo.
    echo *******************************************************************************
    echo *                                                                             *
    echo *                                 ! SUCCESS !                                 *
    echo *                                                                             *
    echo *******************************************************************************

:end

